Subject: [Isis-wg] isisAreaAddr and isisManAreaAddr tables

From: "Parker, Jeff" <[email-masked]>
Date: Fri, 24 Dec 2004 09:48:53 -0500

In the apocryphal version 17 of the IS-IS Mib, which was written, reviewed, submitted, but never published, I had combined the isisAreaAddr and isisManAreaAddr tables.  I've been asked to review this.  

Here was my original motivation

   "I get a warning/error in my compiler so will ask on the mibs list
   about this, it could be the compiler.  In any case, I prefer
   one table with an additional object to denote manual/learned, but can see
   that we don't agree on this point ;) so 2 tables are acceptable."

Jon H. points out that:

> With regards to the isisAreaAddr and isisManAreaAddr table, I still
> believe that they are correct as they are at present.  The tables 
> should be separate, because the two tables perform different functions.  
> There should be no compiler problems with the isisAreaAddr table - a
> read-only index is allowed by SMIv2 if the object is the only one in 
> the table (see for example, RFC2578, 7.7:
>
> "(2)  a conceptual row must contain at least one columnar object which is
>       not an auxiliary object.  In the event that all of a conceptual
>       row's columnar objects are also specified in its INDEX clause, then
>       one of them must be accessible, i.e., have a MAX-ACCESS clause of
>       "read-only". (Note that this situation does not arise for a
>       conceptual row allowing create access, since such a row will have a
>       status column which will not be an auxiliary object.)"
 
I will rewind to the version of the tables in 16, and respin version 18 for review, probably in the new year.

- jeff parker

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg